/// <reference types="@vueuse/shared" />
import type { LanguageOpenVo } from '../../../../api/guardBasic/interface';
/**语种列表 */
export declare const useLangListStore: import("pinia").StoreDefinition<"gmLangList", Pick<{
    langList: import("@vueuse/shared").RemovableRef<LanguageOpenVo[]>;
    isLoading: import("vue").Ref<boolean>;
    isFinished: import("vue").Ref<boolean>;
    getLangList: () => Promise<void>;
    getDataFinally: () => Promise<unknown>;
}, "isLoading" | "isFinished" | "langList">, Pick<{
    langList: import("@vueuse/shared").RemovableRef<LanguageOpenVo[]>;
    isLoading: import("vue").Ref<boolean>;
    isFinished: import("vue").Ref<boolean>;
    getLangList: () => Promise<void>;
    getDataFinally: () => Promise<unknown>;
}, never>, Pick<{
    langList: import("@vueuse/shared").RemovableRef<LanguageOpenVo[]>;
    isLoading: import("vue").Ref<boolean>;
    isFinished: import("vue").Ref<boolean>;
    getLangList: () => Promise<void>;
    getDataFinally: () => Promise<unknown>;
}, "getDataFinally" | "getLangList">>;
